%include('header.tpl', app_name=app_name, message=message)
<!-- Begin page content -->
<div class="container">
  <div class="row">
    <div class="col-sm-8">
      <h1>Edit Server</h1>
    </div>
    <div class="col-sm-4 text-xs-right">
      <div class="btn-group">
        <button type="button" class="btn btn-outline-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          {{ username }}
        </button>
        <div class="dropdown-menu">
          <a class="dropdown-item" href="/">Server overview</a>
          <a class="dropdown-item" href="#">Create server</a>
          <a class="dropdown-item" href="#">About</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="/logout">Logout</a>
        </div>
      </div>
    </div>
  </div>
  <p class="lead">Control your <a href="http://factorio.com">Factorio</a> game server from here.</p>

<div id="accordion" role="tablist" aria-multiselectable="true">
  <div class="card">
      <a class="collapsed nounderline" data-toggle="collapse" data-parent="#accordion" href="#collapseOverview" aria-expanded="false" aria-controls="collapseOverview">
      <div class="card-header" role="tab" id="headingOverview">
        <h5 class="mb-0">
          <div class="row">
              <div class="col-sm-6">
              {{ server['name'] }}
          </div>
            <div class="col-sm-6 text-xs-right">
            %if server['status'] == "online":
              <span class="tag tag-success">{{server['status']}}</span>
            %else:
              <span class="tag tag-danger">{{server['status']}}</span>
            %end
            </div>
          </h5>
        </div>
      </a>

    <div id="collapseOverview" class="collapse in" role="tabpanel" aria-labelledby="headingOverview">
      <div class="card-block">
     <h4 class="card-title">{{ server['desc'] }}</h4>
    <table class="table">
      <tr><th>Address</th><td>{{ fqdn }}:{{ server['port'] }}</td></tr>
      <tr><th>Version</th><td>{{ server['version'] }}</td></tr>
      <tr><th>Status</th><td><span class="tag tag-success">{{ server['status']  }}</span></td></tr>
    </table>
    <div class="row">
      <div class="col-sm-8">
      </div>
      <div class="col-sm-4 text-xs-right">
        <a href="#" class="btn btn-outline-success">Start</a> <a href="#" class="btn btn-outline-danger">Stop</a>
      </div>
    </div>
      </div>
    </div>
  </div>
  <div class="card">
    <a class="collapsed nounderline" data-toggle="collapse" data-parent="#accordion" href="#collapseSettings" aria-expanded="false" aria-controls="collapseSettings">
    <div class="card-header" role="tab" id="headingSettings">
      <h5 class="mb-0">Settings</h5>
    </div>
    </a>
    <div id="collapseSettings" class="collapse" role="tabpanel" aria-labelledby="headingSettings">
      <div class="card-block">
        Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

      </div>
    </div>
  </div>
  <div class="card">
    <a class="collapsed nounderline" data-toggle="collapse" data-parent="#accordion" href="#collapseMods" aria-expanded="false" aria-controls="collapseMods">
    <div class="card-header" role="tab" id="headingMods">
      <h5 class="mb-0">Mods</h5>
    </div>
    </a>
    <div id="collapseMods" class="collapse" role="tabpanel" aria-labelledby="headingMods">
      <div class="card-block">
        Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

      </div>
    </div>
  </div>

  <div class="card">
    <a class="collapsed nounderline" data-toggle="collapse" data-parent="#accordion" href="#collapseBackups" aria-expanded="false" aria-controls="collapseBackups">
    <div class="card-header" role="tab" id="headingBackups">
      <h5 class="mb-0">Backups</h5>
    </div>
    </a>
    <div id="collapseBackups" class="collapse" role="tabpanel" aria-labelledby="headingBackups">
      <div class="card-block">
        Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
      </div>
    </div>
  </div>
</div>

</div> <!-- Page content -->
%include('footer.tpl', username=username)
